English

Error: fatal error: can't map library libfor.so

Error Message

Attempting the ArcSDE post installation at 9.2 version with the sdesetup command displays an error message similar to the following:

"28225: /u03/sde/sdeexe83/bin/sdesetupora9i: /sbin/loader: fatal error:
can't map library libfor.so"

Attempting the ArcSDE post installation at 9.1 version or prior with the sdesetupora9i or sdesetupora8i commands displays an error message similar to the following:

"28225: /u03/sde/sdeexe83/bin/sdesetupora9i: /sbin/loader: fatal error:
can't map library libfor.so"

Cause

The required Fortran libfor.so library file cannot be found on the computer.

Solution or Workaround

Install the required libfor.so library file for the Tru64 operating system. See the link for the ArcSDE System Requirement page for the Tru64 platform in the Related Information section below.

    Related Information